com.google.appengine.api.datastore

## Enum TransactionOptions.Mode

- java.lang.Object
- - java.lang.Enum<TransactionOptions.Mode>
  - - com.google.appengine.api.datastore.TransactionOptions.Mode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TransactionOptions.Mode>
  Enclosing class:
    TransactionOptions

      public static enum TransactionOptions.Mode
      extends java.lang.Enum<TransactionOptions.Mode>

  The mode of the transaction.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READ_ONLY` Transaction will only be used for reads.
    `READ_WRITE` Transaction will be used for reads and writes.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransactionOptions.Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TransactionOptions.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ_ONLY

          public static final TransactionOptions.Mode READ_ONLY

      Transaction will only be used for reads.

    - #### READ_WRITE

          public static final TransactionOptions.Mode READ_WRITE

      Transaction will be used for reads and writes.

  - ### Method Detail

    - #### values

          public static TransactionOptions.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransactionOptions.Mode c : TransactionOptions.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransactionOptions.Mode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null